Name:           gnome-network-displays
Version:        0.90.3
Release:        1%{?dist}
Summary:        Stream the desktop to Wi-Fi Display capable devices

# The icon is licensed CC-BY-SA
License:        GPLv3+ and CC-BY-SA
URL:            https://github.com/benzea/gnome-network-displays
Source0:        https://github.com/benzea/gnome-network-displays/archive/v%{version}/gnome-network-displays-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  gettext
BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libnm) >= 1.15.1
BuildRequires:  pkgconfig(libpulse-mainloop-glib)
BuildRequires:  pkgconfig(gstreamer-rtsp-server-1.0)

# Versioned library deps
Requires: NetworkManager-libnm > 1.16.0
Requires: gstreamer1-rtsp-server
Requires: gnome-desktop3
Requires: gtk3
Requires: hicolor-icon-theme
Requires: NetworkManager-wifi

%description
GNOME Network Displays allows you to cast your desktop to a remote display.
Currently implemented is support for casting to Wi-Fi Display capable devices
(a.k.a. Miracast).

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install
desktop-file-validate %{buildroot}/%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.appdata.xml
%find_lang %{name} --all-name --with-gnome

%files -f %{name}.lang
%license COPYING
%doc README.md
%{_bindir}/gnome-network-displays
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.NetworkDisplays.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.NetworkDisplays.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.NetworkDisplays-symbolic.svg
%{_metainfodir}/org.gnome.NetworkDisplays.appdata.xml

%changelog
* Wed Apr 29 2020 Benjamin Berg <bberg@redhat.com> - 0.90.3-1
- New upstream release 0.90.3

* Fri Dec 20 2019 Benjamin Berg <bberg@redhat.com> - 0.90.2-2
- Add patch to prevent timeout with certain sinks
  https://github.com/benzea/gnome-network-displays/issues/20

* Mon Dec 16 2019 Benjamin Berg <bberg@redhat.com> - 0.90.2-1
- New upstream release 0.90.2 with bugfixes

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.90.1-1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Jul 10 2019 Benjamin Berg <bberg@redhat.com> - 0.90.1-0
- Initial package (#1721157)
